Bug 457097 - samba-client: manual page and usage message of smbcacls is incomplete/incorrect
samba-client: manual page and usage message of smbcacls is incomplete/incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Guenther Deschner
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 11:59 EDT by Ales Zelinka
Modified: 2010-03-30 05:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-3.0.33-3.24.el5
Doc Type: Bug Fix
Doc Text:
previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 05:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete log from option-comparator utilities (1.76 KB, application/octet-stream)
2008-07-29 11:59 EDT, Ales Zelinka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0300 normal SHIPPED_LIVE samba bug fix update 2010-03-29 10:28:18 EDT

  None (edit)
Description Ales Zelinka 2008-07-29 11:59:28 EDT
Description of problem:
1) manual page of smbcacls does not mention longer versions of following
command line options: -a (--add), -G (--chgrp), -C (--chown), -s
(--configfile), -D (--delete), -M (--modify), -S (--set), -t (--test-args), -U
(--user)

2) --logfile is stated as a long version of -l option but --log-basename is
actually recognized by the binary

3)following options are not covered by the man page at all:
 -A --authentication-file, -k --kerberos, -N --no-pass, -P --machine-pass

4) smbcacls --help reports -S as a short version for --signing, but it is already
used for --set

Version-Release number of selected component (if applicable):
samba-client-3.0.28-1.el5_2.2.i386

How reproducible:
always

Steps to Reproduce:
compare manpage to smbcacls --help

try to use -S as if it was --signing:
smbcacls -S on '//localhost/share' file -Uuser%pass
Failed to parse token 'on' in security descriptor,

Additional info:
Used Milos Malik's option-comparator to do the options analysis. See
attachments for complete output.
Comment 1 Ales Zelinka 2008-07-29 11:59:28 EDT
Created attachment 312896 [details]
complete log from option-comparator utilities
Comment 9 Ruediger Landmann 2010-03-22 11:29:46 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.
Comment 10 errata-xmlrpc 2010-03-30 05:03:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0300.html

Note You need to log in before you can comment on or make changes to this bug.